package com.chinacreator.ecd.changshipa.exception;


import com.chinacreator.ecd.changshipa.restrain.ReqEnum;

public class BusinessException extends RuntimeException {

    private ReqEnum error;

    private String errorInfo;

    private String resultCode;

    public BusinessException() {

    }

    public BusinessException(String resultCode, String errorInfo) {
        this.resultCode = resultCode;
        this.errorInfo = errorInfo;
    }

    public BusinessException(ReqEnum error) {
        this.error = error;
        this.errorInfo = error.getErrorInfo();
        this.resultCode = error.getErrorInfo();
    }

    public BusinessException(ReqEnum error, String errorInfo) {
        this.errorInfo = error.getErrorInfo();
        this.resultCode = error.getErrorInfo();
    }

    public ReqEnum getError() {
        return error;
    }

    public void setError(ReqEnum error) {
        this.error = error;
    }

    public String getErrorInfo() {
        return errorInfo;
    }

    public void setErrorInfo(String errorInfo) {
        this.errorInfo = errorInfo;
    }

    public String getResultCode() {
        return resultCode;
    }

    public void setResultCode(String resultCode) {
        this.resultCode = resultCode;
    }

    @Override
    public String toString() {
        return "BusinessException{" +
                "error=" + error +
                ", errorInfo='" + errorInfo + '\'' +
                ", resultCode='" + resultCode + '\'' +
                '}';
    }
}
