package com.chinacreator.ecd.changshipa.task;

import com.chinacreator.ecd.changshipa.service.ChangshiPublicAccountService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 畅视公众号
 */
public class ChangshiPublicAccountTask implements Runnable {

    private static final Logger LOGGER = LoggerFactory.getLogger(ChangshiPublicAccountService.class);

    private final static int DURATION = 10 * 60 * 1000;

    private ChangshiPublicAccountService service;

    public ChangshiPublicAccountTask(ChangshiPublicAccountService service) {
        this.service = service;
    }

    @Override
    public void run() {

        while (true) {
            try {
                service.loadChangshiPublicAccount();
                LOGGER.info("刷新/缓存 ChangshiPublicAccountChannel和ChangshiPublicAccountTemplate 完成");
            } catch (Exception e) {
                LOGGER.info("刷新/缓存 ChangshiPublicAccountChannel和ChangshiPublicAccountTemplate 失败");
                e.printStackTrace();
            } finally {
                try {
                    Thread.sleep(DURATION);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
        }
    }

}
