package com.chinacreator.ecd.flowstatus;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.stereotype.Component;


@Component
public class FlowstatusConsumer {
	
	private final static Logger logger = LoggerFactory.getLogger(FlowstatusConsumer.class);
	
	@Autowired
	private FlowstatusService flowstatusService;
	
	@KafkaListener(topics = { "#{'${flowstatus.savetopic}'}" })
	public void consume(String message) {
		
		logger.info("收到流量余量={}", message);
		
		flowstatusService.saveFlowuseData(message);


	}

	
	
}
