package com.chinacreator.ecd.schedule;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import com.chinacreator.ecd.flowstatus.FlowstatusService;

@Component
public class FlowstatusSchedule {
	@Autowired
	private FlowstatusService flowstatusService;
	
	@Value("${flowstatus.saveduration}")
	private String saveduration;
	
	/**
	 * 每分钟检查一下，是否有有数据需要保存到数据库
	 */
	@Scheduled(cron = "0 0/1 * * * ? ")
	public void flushFlowstatusData() {
		flowstatusService.flushFlowstatusData();
	}
	
}
