package com.chinacreator.ecd.util;

import java.text.DecimalFormat;
import java.text.FieldPosition;
import java.text.Format;
import java.text.NumberFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;

public class GenerateSequenceUtil {
	/**
	 * 
	 */
	private static final FieldPosition HELPER_POSITION = new FieldPosition(0);

	/** 时间：精确到秒 */
	private final static Format dateFormat = new SimpleDateFormat("YYYYMMddHHmmss");

	private final static NumberFormat numberFormat = new DecimalFormat("000000");

	private static int seq = 0;

	private static final int MAX = 999999;

	/**
	 * 根据时间生成ID，格式时间+顺序的5位数
	 * 性能1000w，用时1.5s
	 * 支持每秒并发小于100w的场景
	 * @return
	 */
	public static synchronized String generateSequenceNo() {
        Calendar rightNow = Calendar.getInstance();
        StringBuffer sb = new StringBuffer();
 
        dateFormat.format(rightNow.getTime(), sb, HELPER_POSITION);
        numberFormat.format(seq, sb, HELPER_POSITION);
 
        if (seq == MAX) {
            seq = 0;
        } else {
            seq++;
        }
 
        return sb.toString();
	}
	
	public static void main(String[] args) {
		long starttime = System.currentTimeMillis();
		for (int i=0; i<10; i++) {
			generateSequenceNo();
		}
		System.out.println(System.currentTimeMillis() - starttime);
	}
}
